<template>
<div class="top-0 w-full left-0 h-full absolute bg-contain bg-center bg-no-repeat" :style="{ backgroundImage: $store.state.editor.backgroundImage ? `url(${$store.state.editor.backgroundImage})` : false }">
  <div class="k2-canvas absolute transform -translate-y-1/2 -translate-x-1/2" 
    :style="{
      height: $store.state.editor.canvasRelativeHeight+'%', 
      width: $store.state.editor.canvasRelativeWidth+'%', 
      left: $store.state.editor.canvasRelativeCenter[0]+'%', 
      top: $store.state.editor.canvasRelativeCenter[1]+'%' }">
      <KonvaCanvas class="absolute top-0 left-0 h-full w-full z-10" v-if="$store.state.editor.showPreview"/>
      <div class="z-20 absolute k2-canvas__border k2-canvas__border--top border-dashed border-t border-gray-300 top-6 left-6" v-if="border"></div>
      <div class="z-20 absolute k2-canvas__border k2-canvas__border--bottom border-dashed border-b border-gray-300 bottom-6 left-6" v-if="border"></div>
      <div class="z-20 absolute k2-canvas__border k2-canvas__border--left border-dashed border-l border-gray-300 top-6 left-6" v-if="border"></div>
      <div class="z-20 absolute k2-canvas__border k2-canvas__border--right border-dashed border-r border-gray-300 top-6 right-6" v-if="border"></div>

  </div>
  <NavNextPrev 
    v-if="$store.state.editor.showPreview && !$route.meta.modalHasNextPrev"
    class="absolute bottom-0 left-0 w-full"
  />
</div>
</template>

<script src="./editor-canvas.js"></script>
<style scoped src="./editor-canvas.css"></style>
